io.etcd.jetcd.api

## Interface PermissionOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Permission, Permission.Builder

    public interface PermissionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`com.google.protobuf.ByteString` `getKey()` `bytes key = 2;`
`Permission.Type` `getPermType()` `.authpb.Permission.Type permType = 1;`
`int` `getPermTypeValue()` `.authpb.Permission.Type permType = 1;`
`com.google.protobuf.ByteString` `getRangeEnd()` `bytes range_end = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getPermTypeValue

    int getPermTypeValue()

`.authpb.Permission.Type permType = 1;`

Returns:
  The enum numeric value on the wire for permType.

#### getPermType

    Permission.Type getPermType()

`.authpb.Permission.Type permType = 1;`

Returns:
  The permType.

#### getKey

    com.google.protobuf.ByteString getKey()

`bytes key = 2;`

Returns:
  The key.

#### getRangeEnd

    com.google.protobuf.ByteString getRangeEnd()

`bytes range_end = 3;`

Returns:
  The rangeEnd.